{
  "name": "fisapp-ui",
  "version": "1.3.3",
  "scripts": {
    "ng": "ng",
    "start": "ng serve --host 0.0.0.0 --port 4200",
    "build": "ng build --aot --delete-output-path",
    "build:dev": "ng build --base-href /dev/ --aot --output-path dist/dev --delete-output-path",
    "build:prod": "ng build --configuration production --output-path dist/rc --aot --delete-output-path",
    "build:leave:prod": "ng build --configuration leave-prod --output-path dist/leave --aot",
    "build:quot:prod": "ng build --configuration quotation-prod --output-path dist/quotation --aot",
    "build:maf:quot:prod": "ng build --configuration maf-quot-prod --output-path dist/maf/quotation --aot",
    "watch": "ng build --watch --configuration development",
    "test": "ng test",
    "clean": "ng cache clean && npm cache clean --force"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "^21.1.4",
    "@angular/cdk": "^21.1.4",
    "@angular/common": "^21.1.4",
    "@angular/compiler": "^21.1.4",
    "@angular/core": "^21.1.4",
    "@angular/forms": "^21.1.4",
    "@angular/material": "^21.1.4",
    "@angular/material-moment-adapter": "^21.1.4",
    "@angular/platform-browser": "^21.1.4",
    "@angular/platform-browser-dynamic": "^21.1.4",
    "@angular/router": "^21.1.4",
    "@angular/service-worker": "^21.1.4",
    "@ngxs/devtools-plugin": "^20.1.0",
    "@ngxs/form-plugin": "^20.1.0",
    "@ngxs/storage-plugin": "^20.1.0",
    "@ngxs/store": "^20.1.0",
    "@primeuix/themes": "^2.0.3",
    "angularlib": "file:src/dependencies/angularlib",
    "dp-ui": "file:src/dependencies/dp-ui",
    "fis": "file:src/dependencies/fis",
    "fis-commons": "https://cdn.swopt.com/npm/fis-commons",
    "onnxruntime-web": "^1.26.0",
    "primeng": "^21.1.1",
    "rxjs": "~7.8.0",
    "tslib": "^2.8.1",
    "zone.js": "^0.15.1"
  },
  "devDependencies": {
    "@angular/build": "^21.1.4",
    "@angular/cli": "^21.1.4",
    "@angular/compiler-cli": "^21.1.4",
    "@types/jasmine": "~5.1.0",
    "jasmine-core": "~5.1.0",
    "karma": "~6.4.0",
    "karma-chrome-launcher": "~3.2.0",
    "karma-coverage": "~2.2.0",
    "karma-jasmine": "~5.1.0",
    "karma-jasmine-html-reporter": "~2.1.0",
    "typescript": "~5.9.3"
  }
}
